csStringArray Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csStringArray Class Reference

An array of strings. More...

`#include <csutil/stringarray.h>`

Inheritance diagram for csStringArray:

List of all members.

## Public Member Functions
| csStringArray (size_t limit=0, size_t threshold=0)
| Constructor for an empty array of strings.
| csStringArray (const char *str, const char *delimiters, ConsecutiveDelimiterMode delimMode=delimSplitEach, size_t limit=0, size_t threshold=0)
| Constructor for an array of string initialized by splitting a given string.

## Detailed Description

An array of strings.

Definition at line 317 of file stringarray.h.

## Constructor & Destructor Documentation

csStringArray::csStringArray | ( | size_t | limit = `0`,
|  | size_t | threshold = `0`
| ) |  | `[inline]`

Constructor for an empty array of strings.

Parameters:

  limit | Initial count of elements that are allocated in the array.
  threshold | Amount of additional elements that are allocated when the maximum count is reached.

Definition at line 328 of file stringarray.h.

csStringArray::csStringArray | ( | const char * | str,
|  | const char * | delimiters,
|  | ConsecutiveDelimiterMode | delimMode = `delimSplitEach`,
|  | size_t | limit = `0`,
|  | size_t | threshold = `0`
| ) |  | `[inline]`

Constructor for an array of string initialized by splitting a given string.

Parameters:

  str | The string to split and place in this array.
  delimiters | The delimiters to use to split the string.
  delimMode | The way to split this array
  limit | Initial count of elements that are allocated in the array.
  threshold | Amount of additional elements that are allocated when the maximum count is reached.

Definition at line 343 of file stringarray.h.

The documentation for this class was generated from the following file:

- csutil/stringarray.h